ArchLinuxのxfce4-terminalがGTK3になってしまったのでダウングレードする話

2016年10月20日 18時04分 スルメ ArchLinux, Linux

xfce4-terminalがGTK3を使うようになってしまったのでGTK2を使うバージョンに戻す手段のメモ

  1. https://archive.archlinux.org/packages/ から雑〜にxfce4-terminalを探す(パッケージの頭文字のディレクトリをクリックしたあと、パッケージ名と同様のディレクトリを探す)
  2. 古いのをダウンロードする (今回は0.8.0より前のものをインストールするのでxfce4-terminal-0.6.3-3-ARCHNAME.pkg.tar.xz、最後が.sigで終わっているものはパッケージではなくパッケージの署名なので注意)
  3. pacman -U ダウンロードしたパッケージへのパス を実行する
  4. /etc/pacman.confのIgnorePkg = にxfce4-terminalを付け足す(その行が#で始まっている場合は最初の#を消すこと)
  5. pacman -Syuしてxfce4-terminalの更新がスキップされれば終わり

将来的にxfce4-terminalがどんどんアップデートしてくとxfce4-terminalのv0.6.3-3もなくなるかもしれませんが、そのときはPKGBUILDから再ビルドする必要があるようです

archive.archlinux.orgにももうないけどビルドはしたくない!って人向け→特別大サービスxfce4-terminalパッケージ勝手に再配布(いつの間にか消えてるかも)